<?php
//include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
	/*Inicia validacion del lado del servidor*/
	if (empty($_GET['cod'])) {
           $errors[] = "Código vacío";
        } else if (empty($_GET['nomp'])){
			$errors[] = "Nombre del producto vacío";
		} else if ($_GET['stock']==""){
			$errors[] = "Stock vacío";
		} else if (empty($_GET['venta'])){
			$errors[] = "Precio de venta vacío";
		} else if (
			!empty($_GET['cod']) &&
			!empty($_GET['nomp']) &&
			$_GET['stock']!="" &&
			!empty($_GET['venta'])
		){
		/* Connect To Database*/
		require_once ("../../inc/db.php");//Contiene las variables de configuracion para conectar a la base de datos
		//require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
		// escaping, additionally removing everything that could be (html/javascript-) code
		$codigo=$_GET["cod"];
		$nombre=$_GET["nomp"];
		$categoria=$_GET["cat"];
		$stock=$_GET['stock'];
		$costo=$_GET['costo'];
		$precio_venta=$_GET['venta'];
		$sql="INSERT INTO productos (idproductos, codigo, nombre, categoria_idcategoria, stock, precio_costo, precio_venta) VALUES ('','$codigo','$nombre','$categoria','$stock','$costo','$precio_venta')";
		$query_new_insert = mysqli_query($conn,$sql);
			if ($query_new_insert){
				$messages[] = "Producto ha sido ingresado satisfactoriamente.";
			} else{
				$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($conn);
			}
		} else {
			$errors []= "Error desconocido.";
		}
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}

?>